Name: compiz
Version: 0.5.0
Release: alt1

Summary: OpenGL window and compositing manager
License: MIT/X11 GPL
Group: System/X11

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Url: http://www.go-compiz.org
Source0: %name-%version.tar.gz

Patch0: compiz-0.5.0-alt-link.patch

Patch10: compiz-0.5.0-rh-aiglx-defaults.patch
Patch11: compiz-0.5.0-rh-tfp-server-extension.patch

# Automatically added by buildreq on Mon Apr 09 2007
BuildRequires: GConf gcc-c++ gnome-control-center-devel kdebase-devel libXcomposite-devel
BuildRequires: libXdamage-devel libXinerama-devel libXrandr-devel libdbus-qt-devel libmesa-devel
BuildRequires: libmetacity-devel librsvg-devel libwnck-devel

%description
Compiz is an OpenGL compositing manager that use GLX_EXT_texture_from_pixmap
for binding redirected top-level windows to texture objects. It has a flexible
plug-in system and it is designed to run well on most graphics hardware.

%package gtk
Summary: Gtk Compiz window decorator
Group: Graphical desktop/GNOME
Requires: %name = %version-%release
Obsoletes: %name-gnome < %version-%release

%description gtk
Compiz window decorator for Gtk

%package kde
Summary: KDE Compiz window decorator
Group: Graphical desktop/KDE
Requires: %name = %version-%release

%description kde
Compiz window decorator for KDE

%package devel
Summary: Development file for Compiz
Group: Development/C
Requires: %name = %version-%release

%description devel
Development file for Compiz

%prep
%setup -q

%patch0 -p1

%patch10 -p1
%patch11 -p1

%build
%__autoreconf
%configure \
	--enable-librsvg \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name

%post
%post_ldconfig

%postun
%postun_ldconfig

%post gtk
%gconf2_install %name gwd

%preun gtk
if [ $1 = 0 ]; then
%gconf2_uninstall %name gwd
fi

%files -f %name.lang
%doc AUTHORS COPYING COPYING.GPL COPYING.MIT README TODO NEWS
%_bindir/%name
%dir %_libdir/%name
%_libdir/*.so.*
%_libdir/%name/lib*.so
%_datadir/%name
%exclude %_libdir/%name/libgconf.so

%files gtk
%_sysconfdir/gconf/schemas/*.schemas
%_bindir/gtk-window-decorator
%_libdir/%name/libgconf.so
%_libdir/window-manager-settings/*.so
%_datadir/gnome/wm-properties/%name.desktop

%files kde
%_bindir/kde-window-decorator

%files devel
%_includedir/compiz
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Mon Apr 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Wed Jan 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.3.6-alt1
- 0.3.6

* Wed Dec 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.3.5-alt1.git20061227
- 0.3.5 2006-12-27 GIT snapshot

* Tue Nov 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.3.3-alt3.git20061101
- added compiz-0.3.3-aiglx-defaults.patch,
	compiz-0.3.3-tfp-server-extension.patch

* Tue Nov 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.3.3-alt2.git20061101
- rename subpackage %name-gnome to %name-gtk
- new subpackage %name-kde, %name-devel

* Mon Nov 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.3.3-alt1.git20061101
- 0.3.3 2006-11-01 GIT snapshot

* Sat Sep 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.13-alt1.git20060901
- merged RH patches
- added ALT Linux logo for cube plugin

* Fri Sep 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.13-alt0.git20060901
- 0.0.13 git snapshot 2006-09-01

* Thu May 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.10-alt0.cvs20060503
- 0.0.10

* Sun Apr 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.9-alt0.cvs20060420
- CVS snapshot 2006-04-20

* Wed Mar 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.7-alt1
- initial release

